MacDrawParserInternal Namespace Reference

Internal: the structures of a MacDrawParser. More...

## Classes
struct | Shape
struct | State
| Internal: the state of a MacDrawParser. More...
class | SubDocument
| Internal: the subdocument of a MacDrawParser. More...

## Variables
constexpr int | MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when reading or sending nested groups

## Detailed Description

Internal: the structures of a MacDrawParser.

## Variable Documentation

## ◆ MAX_RECORD_NESTING

int MacDrawParserInternal::MAX_RECORD_NESTING = 1 << 10
| constexpr

the maximum recursion depth when reading or sending nested groups

Referenced by MacDrawParser::readObject(), and MacDrawParser::send().